%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	VNC Client for the GNOME Desktop
Name:		vinagre
Version:	3.7.3
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.gnome.org/projects/vinagre/index.html
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(vte-2.90) >= 0.20
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.31
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.5
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.26
BuildRequires:	pkgconfig(avahi-gobject) >= 0.6.26
BuildRequires:	pkgconfig(avahi-ui)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	pkgconfig(libpanelapplet-4.0) >= 2.91.91
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.2
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	itstool

Requires:	gnome-icon-theme >= 2.30

%description
Vinagre is a VNC Client for the GNOME Desktop.

With Vinagre you can have several connections open simultaneously, bookmark
your servers thanks to the Favorites support, store the passwords in the
GNOME keyring, and browse the network to look for VNC servers.


%prep
%setup -q

%build
%configure2_5x --enable-ssh
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

desktop-file-install --vendor="" \
  --add-category="RemoteAccess;Network" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/telepathy/clients/Vinagre.client
%{_mandir}/man1/vinagre.1*
%{_datadir}/glib-2.0/schemas/org.gnome.Vinagre.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.Vinagre.convert


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 385419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 3.7.3-1.mga3
+ Revision: 344006
- Update to new version 3.7.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317386
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307313
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297235
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295638
- new version 3.5.92

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282756
- br secret-1
- new version 3.5.90

* Sun Aug 12 2012 wally <wally> 3.5.2-2.mga3
+ Revision: 280831
- rebuild for new spice-gtk

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263889
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235691
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231123
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226907
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224527
- new version 3.3.92

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-2.mga2
+ Revision: 197096
- drop patch, 3.3.3 has proper fix (bgo#668055)

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197016
- new version

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184906
- use correct find_lang
- updat file list
- br itstool
- autoreconf is not needed now
- drop unused patch
- new version 3.3.3

* Thu Dec 01 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 174865
- rebuild for new spice-gtk

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170643
- add P2 to fix build
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158630
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156048
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148815
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145585
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139074
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136488
- SILNET: add tarball
- new version 3.1.90

  + wally <wally>
    - new version 3.1.5
    - new version 3.1.4
    - clean .spec a bit

* Wed Jul 20 2011 ahmad <ahmad> 3.1.3-2.mga2
+ Revision: 127308
- Rebuild for spice-gtk-0.7
- Conver the BR to pkconfig BR style

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118977
- add BuildRequires: gnome-common
- 3.1.3

* Thu Jun 23 2011 cjw <cjw> 3.0.1-1.mga2
+ Revision: 112721
- 3.0.1

  + dmorgan <dmorgan>
    - Rebuild against new libpanel-applet

* Fri Feb 25 2011 ennael <ennael> 2.30.3-1.mga1
+ Revision: 59389
- clean spec file
- imported package vinagre

